package com.ss.android.ugc.aweme.services;

import X.AnonymousClass46T;
import X.B6m;
import X.Ls2;
import com.bytedance.covode.number.Covode;

public final class MandatoryLoginService$Companion$unregisteredExperienceListener$2 extends B6m implements Ls2<AnonymousClass46T> {
    public static final MandatoryLoginService$Companion$unregisteredExperienceListener$2 INSTANCE = new MandatoryLoginService$Companion$unregisteredExperienceListener$2();

    static {
        Covode.recordClassIndex(105128);
    }

    public MandatoryLoginService$Companion$unregisteredExperienceListener$2() {
        super(0);
    }

    public final AnonymousClass46T invoke() {
        return AnonymousClass1.INSTANCE;
    }
}
